Skip to Content

Get API key send statistics

Get API key send statistics. Request: GET /v1/api-keys/{id}/stats. Scope: apiKeys:read.

GET
/v1/api-keys/{id}/stats

Returns aggregate send counts and daily volume attributed to an API key between after and before, a window of at most 90 days that defaults to the last 30 days.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^key_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

after?string
before?string

Response Body

Success

application/json
  1. response
totalRequests*integer
Range0 <= value <= 9007199254740991
successfulRequests*integer
Range0 <= value <= 9007199254740991
failedRequests*integer
Range0 <= value <= 9007199254740991
dailyVolume*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.apiKeys.getStats({
  "id": "example"
});
Example Response
{
  "totalRequests": 0,
  "successfulRequests": 0,
  "failedRequests": 0,
  "dailyVolume": [
    {
      "date": "string",
      "requests": 0
    }
  ]
}

Related documentation